#
# spec file for package rsstail
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rsstail
Version:        2.1
Release:        1.30
Summary:        RSS Feed Reader
License:        GPL-2.0
Group:          Productivity/Networking/Web/Utilities
Url:            http://www.vanheusden.com/rsstail/
Source:         https://github.com/folkertvanheusden/rsstail/archive/refs/tags/v%{version}.tar.gz#/rsstail-%{version}.tgz
# PATCH-FIX-UPSTREAM makefile-tweaks.patch -- adds --std=gnu11
Patch1:         https://github.com/folkertvanheusden/rsstail/commit/a09dac78a2936a83fbc35aab81405783fe6fba36.patch#/makefile-tweaks.patch
# PATCH-FIX-UPSTREAM remove-iconv-dependency.patch -- iconv is not used in the package, and not available. Remove it from the Makefile
Patch2:         https://github.com/folkertvanheusden/rsstail/commit/844a6fe5e54ecddf6abc22e5c284860cca107939.patch#/remove-iconv-dependency.patch
# PATCH-FIX-UPSTREAM fix-exit-codes.patch -- fix exit codes for help and version parameters
Patch3:         https://github.com/folkertvanheusden/rsstail/pull/5.patch#/fix-exit-codes.patch
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libmrss-devel >= 0.16
BuildRequires:  make

%description
RSSTail is more or less an RSS reader: it monitors an RSS feed and if it
detects a new entry, it will emit only that new entry.

%prep
%autosetup

%build
make %{?_smp_mflags} DEBUG="-g %{optflags}" CC="gcc"

%install
install -D -m 0755 rsstail %{buildroot}%{_bindir}/rsstail
install -D -m 0644 -t %{buildroot}%{_mandir}/man1 rsstail.1

%check
./rsstail -V
./rsstail -h

%files
%doc README.md
%license license.txt
%{_bindir}/rsstail
%{_mandir}/man1/rsstail.1*

%changelog
* Sat Aug 17 2024 Sebastian Wagner <sebix@sebix.at>
- add remove-iconv-dependency.patch to remove the build dependency on libiconv which is not available anymore in openSUSE
  - add makefile-tweaks.patch so that the previous patch applies, also adds --std=gnu11
- add fix-exit-codes.patch to fix the exit codes for help and version parameters
- switch to the GitHub tarball, as the original source is not available anymore
* Sun Dec 24 2017 sebix@sebix.at
- run spec-cleaner
- update to version 2.1
  * No changelog was made available.
* Thu Mar 23 2017 jengelh@inai.de
- Rectify inconsistent grammar in description
- Drop %%__-type macro indirections
* Fri Dec 30 2016 sebix@sebix.at
- fix specfile using spec-cleaner
- fix license, it's GPL-2.0
- include manpage
* Tue Sep 27 2011 pascal.bleser@opensuse.org
- update to 1.8:
  * adds reverse-order output
* Wed Feb 17 2010 pascal.bleser@opensuse.org
- update to 1.6:
  * authentication support for RSS feeds behind websites with
    authentication has been added
* Mon Dec 22 2008 guru@unixtech.be
- update to 1.5
* Fri Dec 14 2007 guru@unixtech.be
- new upstream version
- moved to openSUSE Build Service
* Sat May  5 2007 guru@unixtech.be
- new upstream version
* Mon Jan 15 2007 guru@unixtech.be
- new upstream version
* Fri Dec 29 2006 guru@unixtech.be
- rebuild against libmrss 0.16
* Mon Dec  4 2006 guru@unixtech.be
- new package
